#ifdef STATISTICS
#include "Behavioural/include/Stat_binary_tree.h"

namespace morpheo {
namespace behavioural {  
  counter_t Stat_binary_tree::val_leaf (void)
  {
    if (_data_type == CONSTANT)
      {
	return _data.cst;
      }
    if (_data_type == VARIABLE)
      {
	return *(_data.var);
      }
    
    throw(ERRORMORPHEO("Stat_binary_tree::val_leaf",_("Invalid leaf.")));
  }
};  
};
#endif
